メインコンテンツへスキップ
POST
/
crm
/
objects
/
2026-03
/
{objectType}
/
search
アポイントを検索
curl --request POST \
  --url https://api.hubapi.com/crm/objects/2026-03/{objectType}/search \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "after": "<string>",
  "filterGroups": [
    {
      "filters": [
        {
          "operator": "BETWEEN",
          "propertyName": "<string>",
          "highValue": "<string>",
          "value": "<string>",
          "values": [
            "<string>"
          ]
        }
      ]
    }
  ],
  "limit": 123,
  "properties": [
    "<string>"
  ],
  "sorts": [
    "<string>"
  ],
  "query": "<string>"
}
'
{
  "results": [
    {
      "archived": true,
      "createdAt": "2023-11-07T05:31:56Z",
      "id": "<string>",
      "properties": {},
      "updatedAt": "2023-11-07T05:31:56Z",
      "archivedAt": "2023-11-07T05:31:56Z",
      "objectWriteTraceId": "<string>",
      "propertiesWithHistory": {},
      "url": "<string>"
    }
  ],
  "total": 123,
  "paging": {
    "next": {
      "after": "<string>",
      "link": "<string>"
    },
    "prev": {
      "before": "<string>",
      "link": "<string>"
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://developers.hubspot.jp/docs/llms.txt

Use this file to discover all available pages before exploring further.

Supported products

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

パスパラメータ

objectType
string
必須

オブジェクトタイプのobjectTypeId

ボディ

application/json

検索リクエストについて説明します

after
string
必須

後続のページを取得するためのページングカーソルトークン。

filterGroups
object[]
必須

追加のクエリー条件を定義する最大6件のフィルターグループ。

limit
integer<int32>
必須

返される結果の最大値(最大200件のオブジェクト)。

properties
string[]
必須

レスポンスに含めるプロパティー名のリスト。

sorts
string[]
必須

オブジェクトのプロパティーに基づいて表示順を指定します。

query
string

検索クエリー文字列。最大3000文字。

レスポンス

successful operation

APIリクエストから返されたシンプルなオブジェクトのリストと、利用可能なオブジェクトの総数を表します。

results
object[]
必須
total
integer<int32>
必須

表示可能な結果の数

paging
object
Last modified on April 14, 2026